Class ActionNameCleaner
java.lang.Object
com.atlassian.jira.plugin.webwork.ActionNameCleaner
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionstatic StringgetActionLastUrlSegment(javax.servlet.http.HttpServletRequest httpServletRequest) Determine action URL by extracting last string and removing query parameters.static StringgetActionName(javax.servlet.http.HttpServletRequest httpServletRequest) Determine action name by extracting last string and removing extension.
-
Constructor Details
-
ActionNameCleaner
public ActionNameCleaner()
-
-
Method Details
-
getActionName
Determine action name by extracting last string and removing extension. (/.../.../Foo.jspa;sth=sth -> Foo)- Parameters:
httpServletRequest- The HTTP request in play- Returns:
- the "simple" Action name.
-
getActionLastUrlSegment
public static String getActionLastUrlSegment(javax.servlet.http.HttpServletRequest httpServletRequest) Determine action URL by extracting last string and removing query parameters. (/.../.../Foo.jspa;sth=sth -> Foo.jspa)- Parameters:
httpServletRequest- The HTTP request in play- Returns:
- the "simple" Action name.
-